| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions

# IG::Neural::MapNeuralImputOutputElementDefinitionDto< ElementType > Class Template Reference

DTO (data transfer object) for neural data element mapping definition. More...

Inheritance diagram for IG::Neural::MapNeuralImputOutputElementDefinitionDto< ElementType >:
[legend]
Collaboration diagram for IG::Neural::MapNeuralImputOutputElementDefinitionDto< ElementType >:
[legend]

List of all members.

## Public Member Functions
| MapNeuralImputOutputElementDefinitionDto ()
override ElementType | CreateObject ()
| Creates and returns a new object of the type whose data is represented by the current DTO (Data Transfer Object). WARNING: Implement thread locking in overriding functions!
## Public Attributes
int | OriginalElementIndex = -1
bool | OriginalElementIndexSpecified = false
int | MappedElementIndex = -1
bool | MappedElementIndexSpecified = false
string | OriginalName
string | OriginalTitle
string | OriginalDescription
## Protected Member Functions
override void | CopyFromPlain (MappingDefinitionElement obj)
override void | CopyToPlain (ref MappingDefinitionElement obj)

## Detailed Description

### template<ElementType>
class IG::Neural::MapNeuralImputOutputElementDefinitionDto< ElementType >

DTO (data transfer object) for neural data element mapping definition.

Template Parameters:

  ElementType | Actual type of the object whose data is represented by the current DTO.

$A Igor Jul 19; tako78 Jul 19

Type Constraints

  ElementType | : | MappingDefinitionElement |

## Member Function Documentation

template<ElementType >

IG::Neural::MapNeuralImputOutputElementDefinitionDto< ElementType >::MapNeuralImputOutputElementDefinitionDto | ( |  | ) | `[inline]`

template<ElementType >

override ElementType IG::Neural::MapNeuralImputOutputElementDefinitionDto< ElementType >::CreateObject | ( |  | ) | `[inline, virtual]`

Creates and returns a new object of the type whose data is represented by the current DTO (Data Transfer Object). WARNING: Implement thread locking in overriding functions!

Therad locking should be performed in overriding functions!

Implements IG::Lib::SerializationDtoBase< Type, BaseType >.

Reimplemented in IG::Neural::MapImputElementDefinitionDto, and IG::Neural::MapOutputElementDefinitionDto.

template<ElementType >

override void IG::Neural::MapNeuralImputOutputElementDefinitionDto< ElementType >::CopyFromPlain | ( | MappingDefinitionElement | obj | ) | `[inline, protected]`

Reimplemented in IG::Neural::MapImputElementDefinitionDto, and IG::Neural::MapOutputElementDefinitionDto.

template<ElementType >

override void IG::Neural::MapNeuralImputOutputElementDefinitionDto< ElementType >::CopyToPlain | ( | ref MappingDefinitionElement | obj | ) | `[inline, protected]`

Reimplemented in IG::Neural::MapImputElementDefinitionDto, and IG::Neural::MapOutputElementDefinitionDto.

## Member Data Documentation

template<ElementType >

int IG::Neural::MapNeuralImputOutputElementDefinitionDto< ElementType >::OriginalElementIndex = -1

template<ElementType >

bool IG::Neural::MapNeuralImputOutputElementDefinitionDto< ElementType >::OriginalElementIndexSpecified = false

template<ElementType >

int IG::Neural::MapNeuralImputOutputElementDefinitionDto< ElementType >::MappedElementIndex = -1

template<ElementType >

bool IG::Neural::MapNeuralImputOutputElementDefinitionDto< ElementType >::MappedElementIndexSpecified = false

template<ElementType >

string IG::Neural::MapNeuralImputOutputElementDefinitionDto< ElementType >::OriginalName

template<ElementType >

string IG::Neural::MapNeuralImputOutputElementDefinitionDto< ElementType >::OriginalTitle

template<ElementType >

string IG::Neural::MapNeuralImputOutputElementDefinitionDto< ElementType >::OriginalDescription

The documentation for this class was generated from the following file:

- NeuralMapData.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events